import { type Base, genBase } from "./_base"

export interface DeviceOrder extends Base {
  encounter_id: number
  doctor_id: number
  status_code?: string
}

export function genDeviceOrder(): DeviceOrder {
  return {
    ...genBase(),
    encounter_id: 0,
    doctor_id: 0,
  }
}
